Page MenuHomePhabricator

Add globe minimap to all maps
Open, LowPublic

Description

There is a plugin that might help users to migrate from the static maps to the dynamic by solving one of the frequent static map features - smaller locator map inside the bigger image. Open question is how we will use it for other celestial bodies.

Requirements
  • minimap should be dynamically hidden when the map becomes smaller than ...x...
Nice to have
  • Do not load minimap unless it will be used (php could optimize for that)

https://github.com/chriswhong/leaflet-globeminimap/

Details

Related Gerrit Patches:
mediawiki/extensions/Kartographer : masterWIP: Add globe minimap to all maps

Event Timeline

Yurik created this task.May 24 2016, 2:27 AM
Restricted Application added a project: Discovery. · View Herald TranscriptMay 24 2016, 2:27 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Yurik moved this task from Unsorted to UI tasks on the Maps (Kartographer) board.May 26 2016, 10:08 PM
Yurik moved this task from Backlog to To-do on the Maps-Sprint board.May 26 2016, 10:32 PM
JGirault claimed this task.Jun 20 2016, 6:13 PM
JGirault moved this task from To-do to In progress on the Maps-Sprint board.
Yurik updated the task description. (Show Details)Jun 20 2016, 7:57 PM
Yurik updated the task description. (Show Details)

Change 295438 had a related patch set uploaded (by JGirault):
WIP: Add globe minimap to all maps

https://gerrit.wikimedia.org/r/295438

JGirault added a comment.EditedJun 21 2016, 11:10 PM

As is, it will be hard to deploy this to production. As mentioned in the commit message:

This is a proof-of-concept, and should not be merged, because:

  • Hard dependencies with d3 and topojson, two libraries that are not yet loaded
  • External code is not production ready, the plugin contains several console.log and a few bugs (globe is not updated when moving the map)

Nonetheless, the POC shows that it is possible, and gives a good idea on the next steps to get this into production:

  • The upstream library code is not production-ready, and is also a bit hard to work (have to override the upstream code completely...) :
    • Either update the upstream library code to be more production-ready
    • Or create our own plugin from scratch
  • Review the hard dependencies
    • Either approve topojson resource and start loading it on demand
    • Or convert topojson -> geojson or add an option to support geojson

Preview:

As an alternative, we could also implement https://github.com/Norkart/Leaflet-MiniMap.
I wouldn't though, because WP and our maps are so diverse that I think here the goal is truly to be able to locate on a globe, rather than having the same map with lower zoom.

Yurik added a comment.EditedJun 21 2016, 11:27 PM

I think we were talking about a different map. I meant this one. implementation.

Yurik removed a project: Maps.Dec 15 2016, 4:40 AM
debt removed JGirault as the assignee of this task.Jan 4 2017, 7:10 PM
debt triaged this task as Low priority.

Change 295438 abandoned by Sbisson:
WIP: Add globe minimap to all maps

Reason:
This change doesn't seem to be under active development. Please restore if I'm mistaken.

https://gerrit.wikimedia.org/r/295438